Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
nguyenthaodang

vướng mắc khi vẽ polyline = vba

Các bài được khuyến nghị

lại vào làm phiền các huynh trong cadviet :cheers: :cheers:

 

vấn đề của em đang vướng mắc tiếp là vẽ polyline = vba

 

nếu như bình thường thì chỉ cần nhập đủ tọa độ thì sẽ vẽ ra một polyline cho mình

vd như

Dim plineObj As AcadPolyline

Dim points(0 To 14) As Double

 

' Define the 2D polyline points

points(0) = 1: points(1) = 1: points(2) = 0

points(3) = 1: points(4) = 2: points(5) = 0

points(6) = 2: points(7) = 2: points(8) = 0

points(9) = 3: points(10) = 2: points(11) = 0

points(12) = 4: points(13) = 4: points(14) = 0

 

' Create a lightweight Polyline object in model space

Set plineObj = ThisDrawing.ModelSpace.AddPolyline(points)

ZoomAll

nếu code như trên thì sẽ ra polyline với 3 đoạn thẳng.

 

Vấn để của em là muốn đoạn ở giữa lại là "arc" ??? xử lý vấn đề này ntn?? còn 2 đoạn đầu thì là line

 

khó khăn ở đây là khi mình set hết các tọa độ rồi thì cái lệnh vẽ cuối cùng nó cứ thẳng tuật nó vẽ. không dừng để mình có thể lựa chọn kiểu đường tiếp theo.

 

cảm ơn sự quan tâm của các huynh

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
sson    11
lại vào làm phiền các huynh trong cadviet :cheers: :cheers:

 

vấn đề của em đang vướng mắc tiếp là vẽ polyline = vba

 

nếu như bình thường thì chỉ cần nhập đủ tọa độ thì sẽ vẽ ra một polyline cho mình

vd như

 

nếu code như trên thì sẽ ra polyline với 3 đoạn thẳng.

 

Vấn để của em là muốn đoạn ở giữa lại là "arc" ??? xử lý vấn đề này ntn?? còn 2 đoạn đầu thì là line

 

khó khăn ở đây là khi mình set hết các tọa độ rồi thì cái lệnh vẽ cuối cùng nó cứ thẳng tuật nó vẽ. không dừng để mình có thể lựa chọn kiểu đường tiếp theo.

 

cảm ơn sự quan tâm của các huynh

Cái này khó thật đấy, bí quá thì dùng sendcommand

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Cái này khó thật đấy, bí quá thì dùng sendcommand

sendcommand thì cũng phải bắt nó dừng lại ở giữa thì mới bắt đầu chuyển được kiểu đường chứ anh? nhưng mà nó vẽ liền tù tì thì ta dừng kiểu gì nhỉ. nếu mà tách ra thì ko ổn vì sau khi vẽ em muốn dùng lệnh div với nó mà ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
anhcos    177
sendcommand thì cũng phải bắt nó dừng lại ở giữa thì mới bắt đầu chuyển được kiểu đường chứ anh? nhưng mà nó vẽ liền tù tì thì ta dừng kiểu gì nhỉ. nếu mà tách ra thì ko ổn vì sau khi vẽ em muốn dùng lệnh div với nó mà ^^

 

'Từ AutoCAD Help

To create a polyline containing arcs, first create the straight polyline, and then set the bulge at specific vertices using the SetBulge method.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
'Từ AutoCAD Help

To create a polyline containing arcs, first create the straight polyline, and then set the bulge at specific vertices using the SetBulge method.

wow^^ thanks huynh nha! từ giờ phải chăm chỉ đọc help mới đuợc! mỗi tội dốt E quá huhu

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×